<?php

    /**
     * For full documentation, please visit: http://docs.reduxframework.com/
     * For a more extensive sample-config file, you may look at:
     * https://github.com/reduxframework/redux-framework/blob/master/sample/sample-config.php
     */

    if ( ! class_exists( 'weLaunch' ) && ! class_exists( 'Redux' ) ) {
        return;
    }

    if( class_exists( 'weLaunch' ) ) {
        $framework = new weLaunch();
    } else {
        $framework = new Redux();
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "wordpress_form_wizard_options";

    $args = array(
        'opt_name' => 'wordpress_form_wizard_options',
        'use_cdn' => TRUE,
        'dev_mode' => FALSE,
        'display_name' => esc_html__('WordPress Form Wizard', 'wordpress-form-wizard'),
        'display_version' => '1.0.2',
        'page_title' => esc_html__('WordPress Form Wizard', 'wordpress-form-wizard'),
        'update_notice' => TRUE,
        'intro_text' => '',
        'footer_text' => '&copy; ' . date('Y') . ' weLaunch',
        'admin_bar' => false,
        'menu_type' => 'submenu',
        'menu_title' => esc_html__('Settings', 'wordpress-form-wizard'),
        'allow_sub_menu' => TRUE,
        'page_parent' => 'edit.php?post_type=wizard_form',
        'customizer' => FALSE,
        'default_mark' => '*',
        'hints' => array(
            'icon_position' => 'right',
            'icon_color' => 'lightgray',
            'icon_size' => 'normal',
            'tip_style' => array(
                'color' => 'light',
            ),
            'tip_position' => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect' => array(
                'show' => array(
                    'duration' => '500',
                    'event' => 'mouseover',
                ),
                'hide' => array(
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ),
            ),
        ),
        'output' => TRUE,
        'output_tag' => TRUE,
        'settings_api' => TRUE,
        'cdn_check_time' => '1440',
        'compiler' => TRUE,
        'page_permissions' => 'manage_options',
        'save_defaults' => TRUE,
        'show_import_export' => TRUE,
        'database' => 'options',
        'transient_time' => '3600',
        'network_sites' => TRUE,
    );

    global $weLaunchLicenses;
    if( (isset($weLaunchLicenses['wordpress-form-wizard']) && !empty($weLaunchLicenses['wordpress-form-wizard'])) || (isset($weLaunchLicenses['woocommerce-plugin-bundle']) && !empty($weLaunchLicenses['woocommerce-plugin-bundle'])) ) {
        $args['display_name'] = '<span class="dashicons dashicons-yes-alt" style="color: #9CCC65 !important;"></span> ' . $args['display_name'];
    } else {
        $args['display_name'] = '<span class="dashicons dashicons-dismiss" style="color: #EF5350 !important;"></span> ' . $args['display_name'];
    }


    $enabled = array(
        'im' => esc_html__('Image', 'wordpress-form-wizard'),
        'ti' => esc_html__('Title', 'wordpress-form-wizard'),
        'lb' => esc_html__('Labels', 'wordpress-form-wizard'),
        'ex' => esc_html__('Excerpt / Short Desc.', 'wordpress-form-wizard'),
    );

    if(class_exists('WooCommerce')) {

        $atts = wc_get_attribute_taxonomies();
        $temp = array(
            're' => esc_html__('Reviews', 'wordpress-form-wizard'),
            'pr' => esc_html__('Price', 'wordpress-form-wizard'),
            'sk' => esc_html__('Sku', 'wordpress-form-wizard'),
            'di' => esc_html__('Dimensions', 'wordpress-form-wizard'),
            'we' => esc_html__('Weight', 'wordpress-form-wizard'),
            'lm' => esc_html__('Learn More', 'wordpress-form-wizard'),
        );
        if(!empty($atts)) {
            foreach ($atts as $value) {
                $temp['attr-' . $value->attribute_name] = $value->attribute_label;
            }
        }

        $enabled = array_merge($enabled, $temp);
    }
    

    $dataToShow = array(
        'enabled' => $enabled,
        'disabled' => array(
            'de' => esc_html__('Description', 'wordpress-form-wizard'),
            'st' => esc_html__('Stock', 'wordpress-form-wizard'),
            'va' => esc_html__('Variations', 'wordpress-form-wizard'),
            'ta' => esc_html__('Tags', 'wordpress-form-wizard'),
            'ct' => esc_html__('Categories', 'wordpress-form-wizard'),
            'ca' => esc_html__('Add to Cart', 'wordpress-form-wizard'),
            'tx1' => esc_html__('Taxonomy 1', 'wordpress-form-wizard'),
            'tx2' => esc_html__('Taxonomy 2', 'wordpress-form-wizard'),
            'tx3' => esc_html__('Taxonomy 3', 'wordpress-form-wizard'),
            'tx4' => esc_html__('Taxonomy 4', 'wordpress-form-wizard'),
            'tx5' => esc_html__('Taxonomy 5', 'wordpress-form-wizard'),
            'tx6' => esc_html__('Taxonomy 6', 'wordpress-form-wizard'),
            'tx7' => esc_html__('Taxonomy 7', 'wordpress-form-wizard'),
            'tx8' => esc_html__('Taxonomy 8', 'wordpress-form-wizard'),
            'tx9' => esc_html__('Taxonomy 9', 'wordpress-form-wizard'),
            'tx10' => esc_html__('Taxonomy 10', 'wordpress-form-wizard'),
            'mt1' => esc_html__('Meta Field 1', 'wordpress-form-wizard'),
            'mt2' => esc_html__('Meta Field 2', 'wordpress-form-wizard'),
            'mt3' => esc_html__('Meta Field 3', 'wordpress-form-wizard'),
            'mt4' => esc_html__('Meta Field 4', 'wordpress-form-wizard'),
            'mt5' => esc_html__('Meta Field 5', 'wordpress-form-wizard'),
            'mt6' => esc_html__('Meta Field 6', 'wordpress-form-wizard'),
            'mt7' => esc_html__('Meta Field 7', 'wordpress-form-wizard'),
            'mt8' => esc_html__('Meta Field 8', 'wordpress-form-wizard'),
            'mt9' => esc_html__('Meta Field 9', 'wordpress-form-wizard'),
            'mt10' => esc_html__('Meta Field 10', 'wordpress-form-wizard'),
        )
    );

    $variablesToUse = '{{formTitle}} {{choices_made}} {{results}} {{price}} {{firstname}} {{lastname}} {{company}} {{email}} {{phone}} {{address_street}} {{address_zip}} {{address_city}} {{address_country}}';
    
    $framework::setArgs( $opt_name, $args );


    $framework::setSection( $opt_name, array(
        'title'  => esc_html__( 'General', 'wordpress-form-wizard' ),
        'id'     => 'general',
        'desc'   => esc_html__( 'Need support? Please use the comment function on codecanyon.', 'wordpress-form-wizard' ),
        'icon'   => 'el el-home',
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => esc_html__( 'General', 'wordpress-form-wizard' ),
        'desc'       => sprintf('%s<a href="' . admin_url('tools.php?page=welaunch-framework') . '">%s</a>', esc_html__( 'To get auto updates please ', 'wordpress-form-wizard' ), esc_html__( 'register your License here.', 'wordpress-form-wizard' )),
        'id'         => 'general-settings',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'enable',
                'type'     => 'switch',
                'title'    => esc_html__( 'Enable', 'wordpress-form-wizard' ),
                'default'  => 1,
            ),
            array(
                'id'       => 'showSkipButton',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Skip Button', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__( 'When a question is not required, show a skip button', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('enable','equals', '1' ),
            ),
            array(
                'id'       => 'showRestartButton',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Restart Button', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__( 'Show a restart button on last step.', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('enable','equals', '1' ),
            ),
            array(
                'id'       => 'scrollToTop',
                'type'     => 'switch',
                'title'    => esc_html__( 'Scroll to Top', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__( 'When clicking on next question scroll to top automatically.', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('enable','equals', '1' ),
            ),
                array(
                    'id'       => 'scrollToTopOffset',
                    'type'     => 'spinner',
                    'title'    => __( 'Scroll Offset.', 'wordpress-country-selector' ),
                    'subtitle'    => __( 'Can also be negative.', 'wordpress-country-selector' ),
                    'min'      => '-999',
                    'step'     => '1',
                    'max'      => '999',
                    'default'  => '0',
                    'required' => array('scrollToTop','equals', '1' ),
                ),
            array(
                'id'       => 'imageSize',
                'type'     => 'text',
                'title'    => esc_html__('Answer Image Size', 'wordpress-form-wizard'),
                'default'  => esc_html__('large', 'wordpress-form-wizard'),
                'required' => array('enable','equals', '1' ),
            ),
            array(
                'id'       => 'numberFormatterLocale',
                'type'     => 'text',
                'title'    => esc_html__('Number Formatter - Locale e.g. en-US', 'wordpress-form-wizard'),
                'default'  => esc_html__('en-US', 'wordpress-form-wizard'),
                'required' => array('enable','equals', '1' ),
            ),
            array(
                'id'       => 'numberFormatterStyle',
                'type'     => 'text',
                'title'    => esc_html__('Number Formatter - Style (decimal, currency, percent, unit)', 'wordpress-form-wizard'),
                'default'  => 'currency',
                'required' => array('enable','equals', '1' ),
            ),
            array(
                'id'       => 'numberFormatterCurrency',
                'type'     => 'text',
                'title'    => esc_html__('Number Formatter - Currency Code (3 chars)', 'wordpress-form-wizard'),
                'default'  => 'USD',
                'required' => array('enable','equals', '1' ),
            ),
            
       )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => esc_html__( 'Texts', 'wordpress-form-wizard' ),
        'id'         => 'text-settings',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'textsBack',
                'type'     => 'text',
                'title'    => esc_html__('Back', 'wordpress-form-wizard'),
                'default'  => esc_html__('Back', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsNext',
                'type'     => 'text',
                'title'    => esc_html__('Next', 'wordpress-form-wizard'),
                'default'  => esc_html__('Next', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsRestart',
                'type'     => 'text',
                'title'    => esc_html__('Restart', 'wordpress-form-wizard'),
                'default'  => esc_html__('Restart', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsSkip',
                'type'     => 'text',
                'title'    => esc_html__('Skip', 'wordpress-form-wizard'),
                'default'  => esc_html__('Skip', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsLoadingText',
                'type'     => 'text',
                'title'    => esc_html__('Sit tight. We are getting your result ...', 'wordpress-form-wizard'),
                'default'  => esc_html__('Sit tight. We are getting your result ...', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsNoResults',
                'type'     => 'text',
                'title'    => esc_html__('No Results found', 'wordpress-form-wizard'),
                'default'  => esc_html__('Unfortunately we did not find any matching results. Please start again.', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsLearnMore',
                'type'     => 'text',
                'title'    => esc_html__('Learn More', 'wordpress-form-wizard'),
                'default'  => esc_html__('Learn More', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsLoadMore',
                'type'     => 'text',
                'title'    => esc_html__('Load More', 'wordpress-form-wizard'),
                'default'  => esc_html__('Load More', 'wordpress-form-wizard'),
            ),
            
            array(
                'id'       => 'textsPricePrefix',
                'type'     => 'text',
                'title'    => esc_html__('Price Prefix', 'wordpress-form-wizard'),
                'default'  => esc_html__('approx. ', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsPriceSuffix',
                'type'     => 'text',
                'title'    => esc_html__('Price Suffix', 'wordpress-form-wizard'),
                'default'  => esc_html__(' *', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsFirstname',
                'type'     => 'text',
                'title'    => esc_html__('Firstname', 'wordpress-form-wizard'),
                'default'  => esc_html__('Firstname', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsLastname',
                'type'     => 'text',
                'title'    => esc_html__('Lastname', 'wordpress-form-wizard'),
                'default'  => esc_html__('Lastname', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsCompany',
                'type'     => 'text',
                'title'    => esc_html__('Company', 'wordpress-form-wizard'),
                'default'  => esc_html__('Company', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsEmail',
                'type'     => 'text',
                'title'    => esc_html__('Email', 'wordpress-form-wizard'),
                'default'  => esc_html__('Email', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsPhone',
                'type'     => 'text',
                'title'    => esc_html__('Phone', 'wordpress-form-wizard'),
                'default'  => esc_html__('Phone', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsMessage',
                'type'     => 'text',
                'title'    => esc_html__('Message', 'wordpress-form-wizard'),
                'default'  => esc_html__('Message', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsAddressStreet',
                'type'     => 'text',
                'title'    => esc_html__('Street & House Number', 'wordpress-form-wizard'),
                'default'  => esc_html__('Street & House Number', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsAddressZIP',
                'type'     => 'text',
                'title'    => esc_html__('ZIP', 'wordpress-form-wizard'),
                'default'  => esc_html__('ZIP', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsAddressCity',
                'type'     => 'text',
                'title'    => esc_html__('City', 'wordpress-form-wizard'),
                'default'  => esc_html__('City', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsAddressCountry',
                'type'     => 'text',
                'title'    => esc_html__('Country', 'wordpress-form-wizard'),
                'default'  => esc_html__('Country', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsPrivacy',
                'type'     => 'text',
                'title'    => esc_html__('Privacy Checkbox', 'wordpress-form-wizard'),
                'default'  => esc_html__('I have read and accept the privacy policy.', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'textsOptionalCheckbox',
                'type'     => 'text',
                'title'    => esc_html__('Optional Checkbox', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('Use {{optional_checkbox}} in your mail.', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'textsSend',
                'type'     => 'text',
                'title'    => esc_html__('Send', 'wordpress-form-wizard'),
                'default'  => esc_html__('Send', 'wordpress-form-wizard'),
            ),
       )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => esc_html__('Styling', 'wordpress-form-wizard' ),
        'id'         => 'styling',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'        => 'accentBackgroundColor',
                'type'      => 'color',
                'title'    => esc_html__('Accent Background Color', 'wordpress-form-wizard'), 
                'default'   => '#651fff',
            ),
            array(
                'id'        => 'accentTextColor',
                'type'      => 'color',
                'title'    => esc_html__('Accent Text Color', 'wordpress-form-wizard'), 
                'default'   => '#FFFFFF',
            ),
            array(
                'id'        => 'borderColor',
                'type'      => 'color',
                'title'    => esc_html__('Border Color', 'wordpress-form-wizard'), 
                'default'   => '#eaeaea',
            ),
            array(
                'id'        => 'borderActiveColor',
                'type'      => 'color',
                'title'    => esc_html__('Border Active Color', 'wordpress-form-wizard'), 
                'default'   => '#651fff',
            ),
            array(
                'id'       => 'textAlignment',
                'type'     => 'select',
                'title'    => __('Text Alignment', 'wordpress-country-selector'), 
                'options'  => array(
                    'left' => esc_html__('Left', 'wordpress-form-wizard'), 
                    'center' => esc_html__('Center', 'wordpress-form-wizard'), 
                    'right' => esc_html__('Right', 'wordpress-form-wizard'), 
                ),
                'default'  => 'left',
            ),
            array(
                'id'       => 'fixedHeight',
                'type'     => 'switch',
                'title'    => esc_html__( 'Fixed Height Elements', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__( 'Enable this to keep the elements (top bar, questions, navigation) in same heights.', 'wordpress-form-wizard' ),
                'default'  => 0,
            ),
                array(
                    'id'       => 'fixedHeightTopBar',
                    'type'     => 'spinner',
                    'title'    => __( 'Top Bar Height (vh)', 'wordpress-country-selector' ),
                    'subtitle'    => __( 'Viewport Height.', 'wordpress-country-selector' ),
                    'min'      => '0',
                    'step'     => '1',
                    'max'      => '100',
                    'default'  => '5',
                    'required' => array('fixedHeight','equals', '1' ),
                ),
                array(
                    'id'       => 'fixedHeightStepsContainer',
                    'type'     => 'spinner',
                    'title'    => __( 'Steps Container Height (vh)', 'wordpress-country-selector' ),
                    'subtitle'    => __( 'Viewport Height.', 'wordpress-country-selector' ),
                    'min'      => '0',
                    'step'     => '1',
                    'max'      => '100',
                    'default'  => '60',
                    'required' => array('fixedHeight','equals', '1' ),
                ),
                array(
                    'id'       => 'fixedHeightNavigation',
                    'type'     => 'spinner',
                    'title'    => __( 'Navigation Height (vh)', 'wordpress-country-selector' ),
                    'subtitle'    => __( 'Viewport Height.', 'wordpress-country-selector' ),
                    'min'      => '0',
                    'step'     => '1',
                    'max'      => '100',
                    'default'  => '20',
                    'required' => array('fixedHeight','equals', '1' ),
                ),

        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => esc_html__( 'Results', 'wordpress-form-wizard' ),
        'id'         => 'results-settings',
        'subsection' => true,
        'fields'     => array(
           array(
                'id'      => 'resultsData',
                'type'    => 'sorter',
                'title'   => esc_html__('Data fields to Show', 'wordpress-form-wizard'),
                'subtitle'    => esc_html__('Reorder, enable or disable data fields.', 'wordpress-form-wizard'),
                'options' => $dataToShow
            ),
            array(
                'id'       => 'resultColumns',
                'type'     => 'spinner',
                'title'    => __( 'Result Columns.', 'wordpress-country-selector' ),
                'subtitle'    => __( 'Result list items per row.', 'wordpress-country-selector' ),
                'min'      => '1',
                'step'     => '1',
                'max'      => '12',
                'default'  => '3',
            ),
            array(
                'id'       => 'resultsImageSize',
                'type'     => 'text',
                'title'    => esc_html__('Result item Image Size', 'wordpress-form-wizard'),
                'default'  => esc_html__('large', 'wordpress-form-wizard'),
            ),
            array(
                'id'       => 'resultsEqualImage',
                'type'     => 'checkbox',
                'title'    => esc_html__('Equal image sizes', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__('Result list item images get same height.', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultsEqualImageSize',
                'type'     => 'spinner',
                'title'    => __( 'Equal image size (px).', 'wordpress-country-selector' ),
                'subtitle'    => __( 'The max image size in pixel.', 'wordpress-country-selector' ),
                'min'      => '1',
                'step'     => '1',
                'max'      => '9999',
                'default'  => '220',
                'required' => array('resultsEqualImage','equals', '1' ),
            ),

            array(
                'id'       => 'resultsShowAttributeName',
                'type'     => 'checkbox',
                'title'    => esc_html__('Show Attribute Name', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__('Instead of only showing WooCommerce attribute values, also show the attribute name.', 'wordpress-form-wizard' ),
                'default'  => '1',
            ),
            array(
                'id'       => 'resultsOpenLinksInNewTab',
                'type'     => 'checkbox',
                'title'    => esc_html__('Open Links in new Tab', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__('Adds href blank.', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultsLoadMore',
                'type'     => 'checkbox',
                'title'    => esc_html__('Show load more Button', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__('The first row of results will show and other will be hidden in a load more button.', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultsHideOutOfStock',
                'type'     => 'checkbox',
                'title'    => esc_html__('Hide out of stock products', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__('When using woocommerce products.', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultsBadges',
                'type'     => 'checkbox',
                'title'    => esc_html__('Result Badges', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__('Give the first 3 results a custom label badge.', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
                array(
                    'id'       => 'resultsBadgesText1',
                    'type'     => 'text',
                    'title'    => esc_html__('Label 1', 'wordpress-form-wizard'),
                    'subtitle' => esc_html__('Label for first result item.', 'wordpress-form-wizard'),
                    'default'  => esc_html__('Best Seller', 'wordpress-form-wizard'),
                    'required' => array('resultsBadges','equals', '1' ),
                ),
                array(
                    'id'       => 'resultsBadgesText2',
                    'type'     => 'text',
                    'title'    => esc_html__('Label 2', 'wordpress-form-wizard'),
                    'subtitle' => esc_html__('Label for second result item.', 'wordpress-form-wizard'),
                    'default'  => esc_html__('Best price', 'wordpress-form-wizard'),
                    'required' => array('resultsBadges','equals', '1' ),
                ),
                array(
                    'id'       => 'resultsBadgesText3',
                    'type'     => 'text',
                    'title'    => esc_html__('Label 3', 'wordpress-form-wizard'),
                    'subtitle' => esc_html__('Label for third result item.', 'wordpress-form-wizard'),
                    'default'  => esc_html__('Top fit', 'wordpress-form-wizard'),
                    'required' => array('resultsBadges','equals', '1' ),
                ),

            array(
                'id'       => 'order',
                'type'     => 'select',
                'title'    => __( 'Order Posts', 'wordpress-form-wizard' ),
                'subtitle' => __( 'Sort retrieved Posts.', 'wordpress-form-wizard' ),
                'options'  => array(
                    'DESC' => __('Descending', 'wordpress-form-wizard'),
                    'ASC' => __('Ascending', 'wordpress-form-wizard'),
                ),
                'default' => 'DESC',
            ),
            array(
                'id'       => 'orderby',
                'type'     => 'select',
                'title'    => __( 'Order Posts By', 'wordpress-form-wizard' ),
                'subtitle' => __( 'Sort retrieved Posts by parameter.', 'wordpress-form-wizard' ),
                'options'  => array(
                    'none' => __('none', 'wordpress-form-wizard'),
                    'ID' => __('ID', 'wordpress-form-wizard'),
                    'author' => __('Author', 'wordpress-form-wizard'),
                    'title' => __('Title', 'wordpress-form-wizard'),
                    'name' => __('Post Name (slug)', 'wordpress-form-wizard'),
                    'date' => __('Date', 'wordpress-form-wizard'),
                    'modified' => __('Last modified date', 'wordpress-form-wizard'),
                    'parent' => __('Post/page parent id', 'wordpress-form-wizard'),
                    'rand' => __('Random order', 'wordpress-form-wizard'),
                    'comment_count' => __('comment_count', 'wordpress-form-wizard'),
                    'menu_order' => __('Menu order', 'wordpress-form-wizard'),
                    '_sku' => __('SKU', 'wordpress-form-wizard'),
                    '_price' => __('Price', 'wordpress-form-wizard'),
                    '_regular_price' => __('Regular Price', 'wordpress-form-wizard'),
                    '_sale_price' => __('Sale Price', 'wordpress-form-wizard'),
                    '_stock' => __('Stock Amount', 'wordpress-form-wizard'),
                    'lowestMidHighestPrice' => __('Low, Mid & High price product, then by price', 'wordpress-form-wizard'),
                    'custom_post_meta' => __('Custom Post Meta', 'wordpress-form-wizard'),
                ),
                'default' => 'name',
            ),
            array(
                'id'       => 'orderbyCustomPostMeta',
                'type'     => 'text',
                'title'    => __( 'Order By Custom Post Meta Key', 'wordpress-form-wizard' ),
                'subtitle'    => __( 'The key of the custom post meta you want to use for sorting.', 'wordpress-form-wizard' ),
                'default' => __('', 'wordpress-form-wizard'),
                'required' => array('orderby','equals','custom_post_meta'),
            ),
            array(
                'id'       => 'orderbyCustomPostMeta',
                'type'     => 'text',
                'title'    => __( 'Order By Custom Post Meta Key', 'wordpress-form-wizard' ),
                'subtitle'    => __( 'The key of the custom post meta you want to use for sorting e.g. _price or _sku.', 'wordpress-form-wizard' ),
                'default' => __('', 'wordpress-form-wizard'),
                'required' => array('orderby','equals','custom_post_meta'),
            ),
            array(
                'id'       => 'orderbyCustomPostMetaNumeric',
                'type'     => 'checkbox',
                'title'    => __( 'Is numeric Post Meta Key?', 'woocommerce-pdf-catalog' ),
                'subtitle' => __( 'Check if your custom order by post meta key is numeric.', 'woocommerce-pdf-catalog' ),
                'default' => 0,
                'required' => array('orderby','equals','custom_post_meta'),
            ),


       )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => esc_html__('Custom Metas', 'wordpress-form-wizard' ),
        'desc' => esc_html__('If you have dragged custom post metas into the enabled data above you need to set its data here.', 'wordpress-form-wizard'),
        'id'         => 'post-metas',
        'subsection' => true,
        'fields'     =>  array(
            array(
                'id'       => 'resultDataMetaPrefix1',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 1 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Prefix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta1',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 1', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix1',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 1 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix2',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 2 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 2. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta2',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 2', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix2',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 2 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix3',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 3 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 3. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta3',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 3', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix3',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 3 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix4',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 4 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 4. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta4',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 4', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix4',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 4 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix5',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 5 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 5. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta5',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 5', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix5',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 5 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix6',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 6 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 6. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta6',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 6', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix6',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 6 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix7',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 7 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 7. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta7',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 7', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix7',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 7 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix8',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 8 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 8. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta8',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 8', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix8',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 8 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix9',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 9 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 9. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta9',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 9', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix9',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 9 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaPrefix10',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 10 Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Meta 10. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMeta10',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 10', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom meta field name here. For example "_sku".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataMetaSuffix10',
                'type'     => 'text',
                'title'    => esc_html__('Custom Meta 10 Suffix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Suffix that will be used for Meta 1. For example "SKU".', 'wordpress-form-wizard'),
                'default'  => '',
            ),

        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => esc_html__('Custom Taxonomies', 'wordpress-form-wizard' ),
        'desc' => esc_html__('If you have dragged taxonomies into the enabled data above you need to set its data here.', 'wordpress-form-wizard'),
        'id'         => 'taxonomies',
        'subsection' => true,
        'fields'     =>  array(
            array(
                'id'       => 'resultDataTaxonomyPrefix1',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 1 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy1',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 1', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks1',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 1', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix2',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 2 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy2',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 2', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks2',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 2', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix3',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 3 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy3',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 3', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks3',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 3', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix4',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 4 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy4',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 4', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks4',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 4', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix5',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 5 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy5',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 5', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks5',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 5', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix6',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 6 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy6',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 6', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks6',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 6', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix7',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 7 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy7',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 7', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks7',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 7', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix8',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 8 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy8',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 8', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks8',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 8', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix9',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 9 Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy9',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 9', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks9',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 9', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
            array(
                'id'       => 'resultDataTaxonomyPrefix10',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 10Prefix', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('The Name that will be used for Taxonomy 1. For example "Product Categories".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomy10',
                'type'     => 'text',
                'title'    => esc_html__('Custom Taxonomy 10', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('You need to specify the custom taxonmy field name here. For example "product_cat".', 'wordpress-form-wizard'),
                'default'  => '',
            ),
            array(
                'id'       => 'resultDataTaxonomyNoLinks10',
                'type'     => 'checkbox',
                'title'    => esc_html__('Remove Links 10', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
        )
    ) );

    $framework::setSection( $opt_name, array(
        'title'      => esc_html__( 'Mail', 'wordpress-form-wizard' ),
        'desc'      => esc_html__( 'Variabels you can use: ', 'wordpress-form-wizard' ) . $variablesToUse,
        'id'         => 'texts-mail',
        'subsection' => true,
        'fields'     => array(

            array(
                'id'       => 'email',
                'type'     => 'switch',
                'title'    => esc_html__( 'Email Notification', 'wordpress-form-wizard' ),
                'default'  => 1
            ),
            array(
                'id'       => 'emailShowAsPopup',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Form in a Popup', 'wordpress-form-wizard' ),
                'default'  => 0,
                'required' => array('email','equals', '1' ),
            ),
                array(
                    'id'       => 'emailShowAsPopupText',
                    'type'     => 'text',
                    'title'    => esc_html__( 'Popup button text', 'wordpress-form-wizard' ),
                    'default'  => esc_html__('Save my configuration', 'wordpress-form-wizard'),
                    'required' => array('emailShowAsPopup','equals', '1' ),
                ),
            array(
                'id'       => 'emailShowName',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Name', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('email','equals', '1' ),
            ),
                array(
                    'id'       => 'emailShowNameRequired',
                    'type'     => 'checkbox',
                    'title'    => esc_html__( 'Name Required', 'wordpress-form-wizard' ),
                    'default'  => 1,
                    'required' => array( array('email','equals', '1'), array('emailShowName','equals', '1') ),
                ),
            array(
                'id'       => 'emailShowCompany',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Company', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('email','equals', '1' ),
            ),
                array(
                    'id'       => 'emailShowCompanyRequired',
                    'type'     => 'checkbox',
                    'title'    => esc_html__( 'Company Required', 'wordpress-form-wizard' ),
                    'default'  => 1,
                    'required' => array( array('email','equals', '1'), array('emailShowCompany','equals', '1') ),
                ),
            array(
                'id'       => 'emailShowEmail',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Email', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('email','equals', '1' ),
            ),
                array(
                    'id'       => 'emailShowEmailRequired',
                    'type'     => 'checkbox',
                    'title'    => esc_html__( 'Email Required', 'wordpress-form-wizard' ),
                    'default'  => 1,
                    'required' => array( array('email','equals', '1'), array('emailShowEmail','equals', '1') ),
                ),

            array(
                'id'       => 'emailShowPhone',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Phone', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('email','equals', '1' ),
            ),
                array(
                    'id'       => 'emailShowPhoneRequired',
                    'type'     => 'checkbox',
                    'title'    => esc_html__( 'Phone Required', 'wordpress-form-wizard' ),
                    'default'  => 1,
                    'required' => array( array('email','equals', '1'), array('emailShowPhone','equals', '1') ),
                ),

            array(
                'id'       => 'emailShowAddress',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Address', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('email','equals', '1' ),
            ),
                array(
                    'id'       => 'emailShowAddressRequired',
                    'type'     => 'checkbox',
                    'title'    => esc_html__( 'Address Required', 'wordpress-form-wizard' ),
                    'default'  => 1,
                    'required' => array( array('email','equals', '1'), array('emailShowAddress','equals', '1') ),
                ),

            array(
                'id'       => 'emailShowMessage',
                'type'     => 'switch',
                'title'    => esc_html__( 'Show Message', 'wordpress-form-wizard' ),
                'default'  => 1,
                'required' => array('email','equals', '1' ),
            ),
                array(
                    'id'       => 'emailShowMessageRequired',
                    'type'     => 'checkbox',
                    'title'    => esc_html__( 'Message Required', 'wordpress-form-wizard' ),
                    'default'  => 1,
                    'required' => array( array('email','equals', '1'), array('emailShowMessage','equals', '1') ),
                ),

            array(
                'id'       => 'emailCC',
                'type'     => 'text',
                'title'    => esc_html__('Email CC Receivers', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('Additional Email receivers, e.g. your Admin Email. Seperate with comma.', 'wordpress-form-wizard'),
                'default'  => esc_html__('', 'wordpress-form-wizard'),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailBCC',
                'type'     => 'text',
                'title'    => esc_html__('Email BCC Receivers', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('Additional Email receivers, e.g. your Admin Email. Seperate with comma.', 'wordpress-form-wizard'),
                'default'  => esc_html__('', 'wordpress-form-wizard'),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailSubject',
                'type'     => 'text',
                'title'    => esc_html__('Subject', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('Your {{formTitle}} Configuration | Sitename', 'wordpress-form-wizard'),
                'default'  => esc_html__('Your {{formTitle}} Configuration | Sitename', 'wordpress-form-wizard'),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailText',
                'type'     => 'editor',
                'args'   => array(
                    'teeny'            => false,
                ),
                'title'    => esc_html__('Text', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('Email text. Use variables see top.', 'wordpress-form-wizard'),
                'default'  => 
                '
Hey {{firstname}} {{lastname}}, please find your configuration below:<br>
<br>
Approx. Price: {{price}} €<br>
<br>
{{choices_made}}<br>
<br>
<strong>Contact Information:</strong><br>
<br>
{{firstname}} {{lastname}}<br>
{{phone}}<br>
{{email}}<br>
<br>
<strong>Address</strong><br>
<br>
{{address_street}}<br>
{{address_zip}} {{address_city}}<br>
<br>
Thanks for using our configurator.<br>
                ',
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailButtonText',
                'type'     => 'text',
                'title'    => esc_html__('Button Text', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('Text for the button e.g. contact us.', 'wordpress-form-wizard'),
                'default'  => esc_html__('Contact Us', 'wordpress-form-wizard'),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailButtonURL',
                'type'     => 'text',
                'title'    => esc_html__('Button URL', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('URL for the button.', 'wordpress-form-wizard'),
                'default'  => get_site_url(),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailSentText',
                'type'     => 'editor',
                'args'   => array(
                    'teeny'            => false,
                ),
                'title'    => esc_html__('Email Sent Text', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('Email text that shows when form was sent.', 'wordpress-form-wizard'),
                'default'  => 
'Hey {{firstname}} {{lastname}}, please find your configuration below:<br>
<br>
Approx. Price: {{price}} €<br>
<br>
{{choices_made}}<br>
<br>
<strong>Contact Information:</strong><br>
<br>
{{firstname}} {{lastname}}<br>
{{phone}}<br>
{{email}}<br>
<br>
<strong>Address</strong><br>
<br>
{{address_street}}<br>
{{address_zip}} {{address_city}}<br>
<br>
Thanks for using our configurator.<br>Your Configuration has also been send via Email.',
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailFromName',
                'type'     => 'text',
                'title'    => esc_html__('From Name', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('This is the default from name for your mail notifications.', 'wordpress-form-wizard'),
                'default'  => get_bloginfo('name'),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'        =>'emailLogo',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__('Set a Logo', 'wordpress-form-wizard'),
                'subtitle'  => esc_html__('The logo will be used in all Mail notifications.', 'wordpress-form-wizard'),
                'args'      => array(
                    'teeny'            => false,
                ),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailReplyTo',
                'type'     => 'text',
                'title'    => esc_html__('Reply To Mail Address', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('This will be used in your mail notifications as the default reply to address.', 'wordpress-form-wizard'),
                'default'  => get_bloginfo('admin_email'),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailFooter',
                'type'     => 'editor',
                'title'    => esc_html__('Footer | Data Privacy', 'wordpress-form-wizard'),
                'default'  => esc_html__('Footer | Data Privacy', 'wordpress-form-wizard'),
                'required' => array('email','equals', '1' ),
            ),
            array(
                'id'       => 'emailTemplate',
                'type'     => 'ace_editor',
                'mode'     => 'html',
                'title'    => esc_html__('Mail Template', 'wordpress-form-wizard'),
                'subtitle' => esc_html__('This will be used for notifications.', 'wordpress-form-wizard'),
                'default'  => file_get_contents(dirname(__FILE__) . '/views/email-template.html'),
            ),
        )
    ));

    $framework::setSection( $opt_name, array(
        'title'      => esc_html__( 'WooCommerce', 'wordpress-form-wizard' ),
        'id'         => 'woocommerce',
        'subsection' => true,
        'fields'     => array(

            array(
                'id'       => 'wooCommerceVariationSupport',
                'type'     => 'checkbox',
                'title'    => esc_html__('Variable Attributes', 'wordpress-form-wizard' ),
                'subtitle'    => esc_html__('Enter variable attributes like pa_color,pa_size etc. When entered and you use pa_color in taxonomy results, it will only show correct colors.', 'wordpress-form-wizard' ),
                'default'  => '0',
            ),
                array(
                    'id'       => 'wooCommerceVariationSupportAttributes',
                    'type'     => 'text',
                    'title'    => esc_html__('Variable Attributes', 'wordpress-form-wizard' ),
                    'subtitle'    => esc_html__('Enter variable attributes like pa_color,pa_size etc. When entered and you use pa_color in taxonomy results, it will only show correct colors.', 'wordpress-form-wizard' ),
                    'default'  => 'pa_color',
                    'required' => array('wooCommerceVariationSupport','equals', '1' ),
                ),
        )
    ));

    $framework::setSection( $opt_name, array(
        'title'      => __( 'Advanced settings', 'wordpress-form-wizard' ),
        'id'         => 'advanced',
        'subsection' => true,
        'fields'     => array(
            array(
                'id'       => 'debugMode',
                'type'     => 'switch',
                'title'    => __( 'Enable Debug Mode', 'wordpress-form-wizard' ),
                'subtitle' => __( 'This will output the query args for get_posts in the AJAX request.', 'wordpress-form-wizard' ),
                'default'   => 0,
            ),
        )
    ));